質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.78%

htmlファイル経由でのシリアルポート管理について

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,827

score 13

現在、私はウェブブラウザ上でCOMポートに接続された機器を制御しようとしています。
とりあえずウェブブラウザで扱えるように何か丁度良い物は無いかと探してみたところ、RubyでSerialport-serverなるものが見つかり、使ってみようかと思いインストールしようとしたのですが失敗続きです。
幾つかのエラーは解消したのですが、何分ruby自体初見でコマンドプロンプトを見て対応してもなかなか上手くいかず、困っています。
というわけで、誰か助言をお願いします。
Serialport-server開発元?
橋本商会 http://shokai.org/blog/archives/6009

以下、インストールしようとした時のプロンプト内容

C:\Users\[***]>gem install serialport-server
Temporarily enhancing PATH to include DevKit...
Building native extensions.  This could take a while...
ERROR:  Error installing serialport-server:
        ERROR: Failed to build gem native extension.

    C:/Ruby22/bin/ruby.exe -r ./siteconf20150804-4120-14p01sd.rb extconf.rb
checking for windows.h... yes
checking for winsock.h... yes
checking for main() in -lkernel32... yes
checking for main() in -lrpcrt4... yes
checking for main() in -lgdi32... yes
checking for main() in -lssleay32... no
creating Makefile

make "DESTDIR=" clean

make "DESTDIR="
generating eventmachine_httpserver-i386-mingw32.def
compiling http.cpp
g++.exe: error: unrecognized command line option '-EHs'
g++.exe: error: unrecognized command line option '-GR'
make: *** [http.o] Error 1

make failed, exit code 2

Gem files will remain installed in C:/Ruby22/lib/ruby/gems/2.2.0/gems/eventmachi
ne_httpserver-0.2.1 for inspection.
Results logged to C:/Ruby22/lib/ruby/gems/2.2.0/extensions/x86-mingw32/2.2.0/eve
ntmachine_httpserver-0.2.1/gem_make.out

ちなみにOpenSSLは4.4.0がインストール済、gcodeはインストール元捜索中
ついでに現在インストールされているGEMライブラリ一覧

* LOCAL GEMS *

bigdecimal (1.2.6)
eventmachine (1.0.7)
io-console (0.4.3)
json (1.8.1)
minitest (5.4.3)
power_assert (0.2.2)
psych (2.0.8)
rake (10.4.2)
rdoc (4.2.0)
rubytest (0.8.1)
serialport (1.3.1)
test (1.0.0)
test-unit (3.0.8)


分かる方、是非に・・・。

追記
少し改善されたみたいです。Rubyのバージョンが高すぎて対応できなかったようです。
先ほどはRuby2.20、今回はRuby2.0.0です。
以下、プロンプト内容
Temporarily enhancing PATH to include DevKit...
Building native extensions.  This could take a while...
Successfully installed serialport-1.3.1
Fetching: eventmachine-1.0.7.gem (100%)
Building native extensions.  This could take a while...
Successfully installed eventmachine-1.0.7
Fetching: eventmachine_httpserver-0.2.1.gem (100%)
Building native extensions.  This could take a while...
ERROR:  Error installing serialport-server:
        ERROR: Failed to build gem native extension.

    C:/Ruby200/bin/ruby.exe extconf.rb
checking for windows.h... yes
checking for winsock.h... yes
checking for main() in -lkernel32... yes
checking for main() in -lrpcrt4... yes
checking for main() in -lgdi32... yes
checking for main() in -lssleay32... no
creating Makefile

make "DESTDIR="
generating eventmachine_httpserver-i386-mingw32.def
compiling http.cpp
g++.exe: error: unrecognized command line option '-EHs'
g++.exe: error: unrecognized command line option '-GR'
make: *** [http.o] Error 1


Gem files will remain installed in C:/Ruby200/lib/ruby/gems/2.0.0/gems/eventmach
ine_httpserver-0.2.1 for inspection.
Results logged to C:/Ruby200/lib/ruby/gems/2.0.0/gems/eventmachine_httpserver-0.
2.1/ext/gem_make.out
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

evma_httpserverのissuesにextconf.rbからコンパイルオプションを取っ払えとでていますね。
でもissuesがopenでまだ対応されていない?ようです。
https://github.com/eventmachine/evma_httpserver/issues/26

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2015/08/06 17:48

    回答ありがとうございます。
    httpserverでのエラーだったのですか・・・でも対処法が分からない・・・。
    ちょっと色々探って見ます。githubのissuesの中でも何かないか、探してみることにします。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.78%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る